Skip to main content
GET
/
folders
/
{id}
Get folder by ID
curl --request GET \
  --url https://api.anycheck.ai/folders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Production Team"
  },
  "name": "January 2024 Verifications",
  "is_starred": false,
  "total_service": 5,
  "total_result": 12,
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login endpoint.

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Path Parameters

id
string<uuid>
required

Folder ID

Response

Folder details

id
string<uuid>

Unique folder identifier

group
object
name
string

Folder name

Example:

"January 2024 Verifications"

is_starred
boolean

Whether folder is starred

Example:

false

total_service
integer<int64> | null

Number of unique services used in this folder

Example:

5

total_result
integer<int64> | null

Number of verification results in this folder

Example:

12

created_at
string<date-time>

Folder creation timestamp

created_by
string<uuid>

User who created the folder

updated_at
string<date-time>

Folder last update timestamp

updated_by
string<uuid>

User who last updated the folder